package com.common.service;

import com.common.entity.DeviceDevice;
import java.util.List;
import java.util.Map;

public interface DeviceDeviceService {

    DeviceDevice getByIdSafely(Integer id);
    List<DeviceDevice> getByIpSafely(String ip);

    DeviceDevice getById(Integer id);

    List<DeviceDevice> getAll();

    List<DeviceDevice> getByIp(String ip);

    List<DeviceDevice> getByNameLike(String name);

    List<DeviceDevice> getByCondition(DeviceDevice condition);

    List<DeviceDevice> getByMap(Map<String, Object> params);

    List<DeviceDevice> getByPage(int pageNum, int pageSize);

    Long getCount();

    List<DeviceDevice> getMonitoringDevices();

    List<DeviceDevice> getActiveDevices();
}